## org.eclipse.jst.jsf.common.metadata
Interface Entity

All Known Subinterfaces:
  EntityGroup, Model

    public interface Entity

A representation of the model object 'Entity'.

Provisional API - subject to change

The following features are supported:

- `Child Entities`
- `Traits`
- `Id`
- `Type`
- `Include Groups`

See Also:
  `MetadataPackage.getEntity()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`void` `accept(IEntityVisitor visitor)`
`EList` `getChildEntities()` Returns the value of the 'Child Entities' containment reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`EList` `getIncludeGroups()` Returns the value of the 'Include Groups' reference list.
`Model` `getModel()`
`EList` `getTraits()` Returns the value of the 'Traits' containment reference list.
`java.lang.String` `getType()` Returns the value of the 'Type' attribute
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setType(java.lang.String value)` Sets the value of the '`Type`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getChildEntities

    EList getChildEntities()

  Returns the value of the 'Child Entities' containment reference list. The list contents are of type `Entity`.

  If the meaning of the 'Child Entities' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Child Entities' containment reference list.
  See Also:
    `MetadataPackage.getEntity_ChildEntities()`

### getTraits

    EList getTraits()

  Returns the value of the 'Traits' containment reference list. The list contents are of type `Trait`.

  If the meaning of the 'Traits' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Traits' containment reference list.
  See Also:
    `MetadataPackage.getEntity_Traits()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `MetadataPackage.getEntity_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`

### getType

    java.lang.String getType()

  Returns the value of the 'Type' attribute.

  If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type' attribute.
  See Also:
    `setType(String)`, `MetadataPackage.getEntity_Type()`

### setType

    void setType(java.lang.String value)

  Sets the value of the '`Type`' attribute.

  Parameters:
    `value` - the new value of the 'Type' attribute.
  See Also:
    `getType()`

### getIncludeGroups

    EList getIncludeGroups()

  Returns the value of the 'Include Groups' reference list. The list contents are of type `IncludeEntityGroup`.

  If the meaning of the 'Include Groups' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Include Groups' reference list.
  See Also:
    `MetadataPackage.getEntity_IncludeGroups()`

### accept

    void accept(IEntityVisitor visitor)

  Parameters:
    `visitor` -

### getModel

    Model getModel()

  Returns:
    Model